
#!/usr/bin/env python

#############################################################################
##
## This file is part of Tau, a Tango User Interface Library
##
## http://www.tango-controls.org/static/tau/latest/doc/html/index.html
##
## (copyleft) CELLS / ALBA Synchrotron, Bellaterra, Spain
##
## This is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This software is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, see <http://www.gnu.org/licenses/>.
###########################################################################

"""
enums.py: 
"""

import utils

TauSWDevState = utils.Enumeration(
'TauSWDevState', (
    'Uninitialized',
    'Running', 
    'Shutdown', 
    'Crash', 
    'EventSystemShutdown'
))

OperationMode = utils.Enumeration(
'OperationMode', (
    'OFFLINE',
    'ONLINE'
))

TauEventType = utils.Enumeration(
'TauEventType', (
    'Change',
    'Config',
    'Periodic',
    'Error'
))

MatchLevel = utils.Enumeration(
'MatchLevel', (
    'ANY', 
    'SHORT', 
    'NORMAL', 
    'COMPLETE', 
    'SHORT_NORMAL', 
    'NORMAL_COMPLETE'
))


#################
# Not in use yet:

DataFormat = utils.Enumeration(
'DataFormat', (
    '_0D', 
    '_1D', 
    '_2D'
))

AttrQuality = utils.Enumeration(
'AttrQuality', (
    'ATTR_VALID', 
    'ATTR_INVALID', 
    'ATTR_ALARM'
))

AttrType = utils.Enumeration(
'AttrType', (
    'READ', 
    'READ_WITH_WRITE', 
    'WRITE', 
    'READ_WRITE' 
))

DisplayLevel = utils.Enumeration(
'DisplayLevel', (
    'OPERATOR', 
    'EXPERT', 
    'DEVELOPER'
))

ManagerState =  utils.Enumeration(
'ManagerState', (
    'UNINITIALIZED', 
    'INITED', 
    'CLEANED'
)) 

class TauAttrValue:
    def __init__(self):
        self.read_value = None
        self.write_value = None
        self.time_stamp = None
        self.quality = AttrQuality.ATTR_VALID
        self.format = 0

class TauConfigValue:
    def __init__(self):
        self.name = None
        self.writable = None
        self.data_format = None
        self.data_type = None
        self.max_dim = 1, 1
        self.label = None
        self.unit = None
        self.standard_unit = None
        self. display_unit= None
        self.format = None
        self.range = float('-inf'), float('inf')
        self.alarm = float('-inf'), float('inf')
        self.warning = float('-inf'), float('inf')
        self.disp_level = None
    
