
#!/usr/bin/env python

#############################################################################
##
## This file is part of Tau, a Tango User Interface Library
##
## http://www.tango-controls.org/static/tau/latest/doc/html/index.html
##
## (copyleft) CELLS / ALBA Synchrotron, Bellaterra, Spain
##
## This is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This software is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, see <http://www.gnu.org/licenses/>.
###########################################################################

"""
.. currentmodule:: tau.core.resources

Simulation extension for tau core mode.
The simulation extension is a special extension that provides simulation
objects. The official scheme name is 'simulation'.

The main usage for this extension is to provide a useful value when using the
Qt designer to design the GUI.
The widgets have in their constructor a 'designMode' parameter that inside
the designer is set to True by the different plugins that export the different
tau widgets to the designer. This way the developer can have a better idea
of what the GUI will look like in the end without connecting to the actual device
in design time (which could be dangerous at times) even if the values don't make 
much sence.
"""
from simfactory import *