
#!/usr/bin/env python

#############################################################################
##
## This file is part of Tau, a Tango User Interface Library
##
## http://www.tango-controls.org/static/tau/latest/doc/html/index.html
##
## (copyleft) CELLS / ALBA Synchrotron, Bellaterra, Spain
##
## This is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This software is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, see <http://www.gnu.org/licenses/>.
###########################################################################

"""
user.py: Finds out user inf (currently just the logged user name) 
         for Windows and Posix machines.     
         sets a USER_NAME variable containing the logged user name
         defines a UNKNOWN_USER variable to which username falls back.
         It also provides the getSystemUserName() function
"""


UNKNOWN_USER='UnknownUser' #fallback. The caller of this module can check if username != UNKNOWN_USER

import os

def getSystemUserName():
    username=''
    if os.name is 'posix': #this works for linux and macOSX
        username=os.getenv('USER')
    elif os.name is 'nt': #win NT, XP... (and Vista?)
        username=os.getenv('USERNAME')    
    if username is '': username=UNKNOWN_USER
    return username

USER_NAME=getSystemUserName()

