
#!/usr/bin/env python

#############################################################################
##
## This file is part of Tau, a Tango User Interface Library
##
## http://www.tango-controls.org/static/tau/latest/doc/html/index.html
##
## (copyleft) CELLS / ALBA Synchrotron, Bellaterra, Spain
##
## This is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This software is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, see <http://www.gnu.org/licenses/>.
###########################################################################

"""
buttonbox.py: 
"""

from PyQt4 import QtCore, QtGui

class TauButtonBox(QtGui.QDialogButtonBox):
    __pyqtSignals__ = ("okClicked()","openClicked()", "saveClicked()", "cancelClicked()",
                       "closeClicked()", "discardClicked()", "applyClicked()", "resetClicked()",
                       "restoreDefaultsClicked()","helpClicked()","resetClicked()","saveAllClicked()",
                       "yesClicked()","yesToAllClicked()","noClicked()","abortClicked()",
                       "retryClicked()","ignoreClicked()")
    
    def __init__(self, parent = None, designMode = False, buttons = None,
                        orientation = QtCore.Qt.Horizontal):
        
        if buttons is None:
            buttons = QtGui.QDialogButtonBox.Ok|QtGui.QDialogButtonBox.Cancel
    
        QtGui.QDialogButtonBox.__init__(self, buttons, orientation, parent)
                
        QtCore.QObject.connect(self, QtCore.SIGNAL("clicked(QAbstractButton *)"), self.onClicked)
        
    def onClicked(self, button):
        if self.standardButton(button) == QtGui.QDialogButtonBox.Ok:
            self.emit(QtCore.SIGNAL("okClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.Open:
            self.emit(QtCore.SIGNAL("openClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.Save:
            self.emit(QtCore.SIGNAL("saveClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.Cancel:
            self.emit(QtCore.SIGNAL("cancelClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.Close:
            self.emit(QtCore.SIGNAL("closeClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.Discard:
            self.emit(QtCore.SIGNAL("discardClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.Apply:
            self.emit(QtCore.SIGNAL("applyClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.Reset:
            self.emit(QtCore.SIGNAL("resetClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.RestoreDefaults:
            self.emit(QtCore.SIGNAL("restoreDefaultsClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.Help:
            self.emit(QtCore.SIGNAL("helpClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.SaveAll:
            self.emit(QtCore.SIGNAL("saveAllClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.Yes:
            self.emit(QtCore.SIGNAL("yesClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.YesToAll:
            self.emit(QtCore.SIGNAL("yesToAllClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.No:
            self.emit(QtCore.SIGNAL("noClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.NoToAll:
            self.emit(QtCore.SIGNAL("noToAllClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.Abort:
            self.emit(QtCore.SIGNAL("abortClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.Retry:
            self.emit(QtCore.SIGNAL("retryClicked()"))
        elif self.standardButton(button) == QtGui.QDialogButtonBox.Ignore:
            self.emit(QtCore.SIGNAL("ignoreClicked()"))


if __name__ == "__main__":
    import sys
    
    app = QtGui.QApplication(sys.argv)        
    bb = TauButtonBox()
    bb.show()

    sys.exit(app.exec_())