
#!/usr/bin/env python

#############################################################################
##
## This file is part of Tau, a Tango User Interface Library
##
## http://www.tango-controls.org/static/tau/latest/doc/html/index.html
##
## (copyleft) CELLS / ALBA Synchrotron, Bellaterra, Spain
##
## This is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This software is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, see <http://www.gnu.org/licenses/>.
###########################################################################

"""
buttonsplugin.py: 
"""

import tauplugin
import tau.core.utils

try:
    from tau.widget import TauLauncherButton
    __SUPER_CLASS = tauplugin.TauWidgetPlugin
except:
    __SUPER_CLASS = object
    l = tau.core.utils.Logger("Designer")
    l.info("TauLauncherButton will not be available")

class TauLauncherButtonPlugin(__SUPER_CLASS):

    """TauLauncherButtonPlugin(tauplugin.TauWidgetPlugin)
    
    Provides a Python custom plugin for Qt Designer by implementing the
    QDesignerCustomWidgetPlugin via a PyQt-specific custom plugin class.
    """

    def getWidgetClass(self):
        return TauLauncherButton

    def getIconName(self):
        return 'pushbutton.png'

try:
    from tau.widget import TauCommandButton
    __SUPER_CLASS = tauplugin.TauWidgetPlugin
except:
    __SUPER_CLASS = object
    l = tau.core.utils.Logger("Designer")
    l.info("TauCommandButton will not be available")

__SUPER_CLASS = object
class TauCommandButtonPlugin(__SUPER_CLASS):

    """TauCommandButtonPlugin(tauplugin.TauWidgetPlugin)
    
    Provides a Python custom plugin for Qt Designer by implementing the
    QDesignerCustomWidgetPlugin via a PyQt-specific custom plugin class.
    """

    def getWidgetClass(self):
        return TauCommandButton

    def getIconName(self):
        return 'pushbutton.png'
