
#!/usr/bin/env python

#############################################################################
##
## This file is part of Tau, a Tango User Interface Library
##
## http://www.tango-controls.org/static/tau/latest/doc/html/index.html
##
## (copyleft) CELLS / ALBA Synchrotron, Bellaterra, Spain
##
## This is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This software is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, see <http://www.gnu.org/licenses/>.
###########################################################################

"""
gaugesplugin.py: 
"""

import tauplugin
import tau.core.utils

__SUPER_CLASS = object
try:
    from tau.widget import TauLinearGauge
    __SUPER_CLASS = tauplugin.TauWidgetPlugin
except:
    l = tau.core.utils.Logger("Designer")
    l.info("TauLinearGauge will not be available")
    
class TauLinearGaugePlugin(__SUPER_CLASS):

    """TauLinearGaugePlugin(tauplugin.TauWidgetPlugin)
    
    Provides a Python custom plugin for Qt Designer by implementing the
    QDesignerCustomWidgetPlugin via a PyQt-specific custom plugin class.
    """

    def getWidgetClass(self):
        return TauLinearGauge

    def getIconName(self):
        return 'vertical_linear_gauge.png'


__SUPER_CLASS = object
try:
    from tau.widget import TauCircularGauge
    __SUPER_CLASS = tauplugin.TauWidgetPlugin
except:
    l = tau.core.utils.Logger("Designer")
    l.info("TauCircularGauge will not be available")

class TauCircularGaugePlugin(__SUPER_CLASS):

    """TauCircularGaugePlugin(tauplugin.TauWidgetPlugin)
    
    Provides a Python custom plugin for Qt Designer by implementing the
    QDesignerCustomWidgetPlugin via a PyQt-specific custom plugin class.
    """

    def getWidgetClass(self):
        return TauCircularGauge

    def getIconName(self):
        return 'circular_gauge.png'
