
#!/usr/bin/env python

#############################################################################
##
## This file is part of Tau, a Tango User Interface Library
##
## http://www.tango-controls.org/static/tau/latest/doc/html/index.html
##
## (copyleft) CELLS / ALBA Synchrotron, Bellaterra, Spain
##
## This is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This software is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, see <http://www.gnu.org/licenses/>.
###########################################################################

"""
scalareditplugin.py: 
"""

import tauplugin

class TauWheelEditPlugin(tauplugin.TauWidgetPlugin):

    """TauWheelEditPlugin(tauplugin.TauWidgetPlugin)
    
    Provides a Python custom plugin for Qt Designer by implementing the
    QDesignerCustomWidgetPlugin via a PyQt-specific custom plugin class.
    """

    def getWidgetClass(self):
        import tau.widget
        return tau.widget.TauWheelEdit

    def getIconName(self):
        return 'lineedit.png'


class TauValueLineEditPlugin(tauplugin.TauWidgetPlugin):

    """TauValueLineEditPlugin(tauplugin.TauWidgetPlugin)
    
    Provides a Python custom plugin for Qt Designer by implementing the
    QDesignerCustomWidgetPlugin via a PyQt-specific custom plugin class.
    """

    def getWidgetClass(self):
        import tau.widget
        return tau.widget.TauValueLineEdit

    def getIconName(self):
        return 'lineedit.png'
        
class TauValueSpinBoxPlugin(tauplugin.TauWidgetPlugin):

    """TauValueSpinBoxPlugin(tauplugin.TauWidgetPlugin)
    
    Provides a Python custom plugin for Qt Designer by implementing the
    QDesignerCustomWidgetPlugin via a PyQt-specific custom plugin class.
    """

    def getWidgetClass(self):
        import tau.widget
        return tau.widget.TauValueSpinBox

    def getIconName(self):
        return 'spinbox.png'
    
class TauValueCheckBoxPlugin(tauplugin.TauWidgetPlugin):

    """TauValueCheckBoxPlugin(tauplugin.TauWidgetPlugin)
    
    Provides a Python custom plugin for Qt Designer by implementing the
    QDesignerCustomWidgetPlugin via a PyQt-specific custom plugin class.
    """

    def getWidgetClass(self):
        import tau.widget
        return tau.widget.TauValueCheckBox

    def getIconName(self):
        return 'checkbox.png'
