
#!/usr/bin/env python

#############################################################################
##
## This file is part of Tau, a Tango User Interface Library
##
## http://www.tango-controls.org/static/tau/latest/doc/html/index.html
##
## (copyleft) CELLS / ALBA Synchrotron, Bellaterra, Spain
##
## This is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This software is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, see <http://www.gnu.org/licenses/>.
###########################################################################

"""
dialog.py: Dialogs for Tau
"""


from PyQt4 import QtCore, QtGui

from ui_AttributeConfigDialog import Ui_AttributeConfigDialog

class AttributeConfigDialog(QtGui.QDialog):

    def __init__ (self, parent=None, flags=QtCore.Qt.WindowFlags()):
        QtGui.QDialog.__init__(self, parent, flags)
        self.ui = Ui_AttributeConfigDialog()
        self.ui.setupUi(self)

    def setModel(self, modelName):
        self.ui.globalAttributeFrame.setModel(modelName)
        attr = self.ui.globalAttributeFrame.getModelObj()
        attr_name = attr.getSimpleName()
        dev_name = attr.getParentObj().getSimpleName()
        self.setWindowTitle(dev_name + "/" + attr_name + " Configuration")
