
#!/usr/bin/env python

#############################################################################
##
## This file is part of Tau, a Tango User Interface Library
##
## http://www.tango-controls.org/static/tau/latest/doc/html/index.html
##
## (copyleft) CELLS / ALBA Synchrotron, Bellaterra, Spain
##
## This is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This software is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, see <http://www.gnu.org/licenses/>.
###########################################################################

"""
release.py: Release data for the tau project.
"""

# -*- coding: utf-8 -*-

# Name of the package for release purposes.  This is the name which labels
# the tarballs and RPMs made by distutils, so it's best to lowercase it.
name = 'tau.widget'

# For versions with substrings (like 0.6.16.svn), use an extra . to separate
# the new substring.  We have to avoid using either dashes or underscores,
# because bdist_rpm does not accept dashes (an RPM) convention, and
# bdist_deb does not accept underscores (a Debian convention).

version_info = (1,2,1,'',1)
version = '.'.join(map(str, version_info[:3]))
revision = str(version_info[4])

description = "A library designed to provide standard Qt Widgets for Tango."

long_description = \
"""
tau stands for TAngo User interface. The 'tau.core' provides an abstract layer 
over the PyTango library. The 'tau.widget' library provides widgets based on 
the 'model' concept provided by the 'tau.core' library
 """

license = 'GPL'

authors = {'Tiago'     : ('Tiago Coutinho','tcoutinho@cells.es'),
          }

url = ''

download_url = 'www.tango-controls/Download'

platforms = ['Linux','Windows XP/2000/NT','Windows 95/98/ME']

keywords = ['GUI','PyTango','Tango','Shell']
