
#!/usr/bin/env python

#############################################################################
##
## This file is part of Tau, a Tango User Interface Library
##
## http://www.tango-controls.org/static/tau/latest/doc/html/index.html
##
## (copyleft) CELLS / ALBA Synchrotron, Bellaterra, Spain
##
## This is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This software is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, see <http://www.gnu.org/licenses/>.
###########################################################################

"""
tauLogo.py: 
"""

from PyQt4 import Qt
import resources.qrc_general
import traceback

class TauLogo(Qt.QLabel):
    
    def __init__(self,parent=None,name = None):
        try:
            self.__name = name.__name__
        except:
            self.__name = "TauLogo"
        Qt.QLabel.__init__(self, parent)
        sizePolicy = Qt.QSizePolicy(Qt.QSizePolicy.Policy(0),Qt.QSizePolicy.Policy(0))
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.sizePolicy().hasHeightForWidth())
        self.setSizePolicy(sizePolicy)
        self.setScaledContents(True)
        self.setPixmap(Qt.QPixmap(":/logo.png"))

def main():
    import sys
    app = Qt.QApplication(sys.argv)
    w = TauLogo()  
    w.show()
    sys.exit(app.exec_())
    
if __name__ == "__main__":
    main()