
#!/usr/bin/env python

#############################################################################
##
## This file is part of Tau, a Tango User Interface Library
##
## http://www.tango-controls.org/static/tau/latest/doc/html/index.html
##
## (copyleft) CELLS / ALBA Synchrotron, Bellaterra, Spain
##
## This is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This software is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, see <http://www.gnu.org/licenses/>.
###########################################################################

"""
log.py: This module sets the tau.core.utils.Logger to be the Qt message handler
"""



__all__ = ['getQtLogger', 'initTauQtLogger']

import PyQt4.QtCore

import tau.core.utils as utils

qtLogger = None

QT_LEVEL_MATCHER = {
    PyQt4.QtCore.QtDebugMsg    : utils.Logger.debug,
    PyQt4.QtCore.QtWarningMsg  : utils.Logger.warning,
    PyQt4.QtCore.QtCriticalMsg : utils.Logger.error,
    PyQt4.QtCore.QtFatalMsg    : utils.Logger.error,
    PyQt4.QtCore.QtSystemMsg   : utils.Logger.info
}

def getQtLogger():
    global qtLogger
    if qtLogger is None:
        qtLogger = utils.Logger('QtLogger')
    return qtLogger
    
def qtTauMsgHandler(type, msg):
    log = getQtLogger()
    caller = QT_LEVEL_MATCHER.get(type)
    caller(log, msg)

def initTauQtLogger():
    global qtLogger
    if not qtLogger:
        PyQt4.QtCore.qInstallMsgHandler(qtTauMsgHandler)
    